{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.TEST"
  },
  "caption" : "测试实体",
  "codeName" : "TESTUsr0320988649CustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr0320988649CustomView.json",
  "name" : "TESTUsr0320988649CustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "Usr0320988649CustomView",
  "getPSDEViewId" : "6EE52F78-29C5-461F-9DD5-D26971E5CC2E",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr0320988516",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "自定义视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 3,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "view_pagecaption",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "view_pagecaption",
              "predefinedType" : "VIEW_PAGECAPTION",
              "renderMode" : "HEADING1",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            }
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container2",
          "getPSLayout" : {
            "childColMD" : 24,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 9,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      }, {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "searchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      }, {
        "caption" : "表格",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "grid",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "68631446-4E45-4B12-B110-34C566148961",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSControls" : [ {
      "aggMode" : "NONE",
      "codeName" : "Main",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlStyle" : "testgridplugin",
      "controlType" : "GRID",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/Main.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "groupMode" : "NONE",
      "hookEventNames" : [ "点击" ],
      "logicName" : "主表格",
      "minorSortDir" : "DESC",
      "getMinorSortPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "点击",
        "logicTag" : "grid",
        "logicType" : "APPDEUILOGIC",
        "name" : "member1",
        "getPSAppDEUILogic" : {
          "modelref" : true,
          "id" : "UILogic1"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "eventNames" : "点击",
        "logicTag" : "grid",
        "logicType" : "APPDEUILOGIC",
        "name" : "member2",
        "getPSAppDEUILogic" : {
          "modelref" : true,
          "id" : "UILogic1"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "logicTag" : "grid",
        "logicType" : "SCRIPT",
        "name" : "member5",
        "scriptCode" : "eeeee",
        "triggerType" : "CUSTOM"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "GRID"
      },
      "getPSDEDataImport" : {
        "modelref" : true,
        "id" : "DataImport"
      },
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TESTNAME"
        },
        "caption" : "测试实体名称",
        "codeName" : "testname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "testname",
        "excelCaption" : "测试实体名称",
        "name" : "testname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSDEUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "向导编辑",
          "codeName" : "editWizard",
          "getFrontPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
            "viewType" : "DEWIZARDVIEW"
          },
          "frontProcessType" : "TOP",
          "fullCodeName" : "TEST_editWizard",
          "name" : "向导编辑",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "uIActionMode" : "FRONT",
          "uIActionTag" : "editWizard",
          "uIActionType" : "DEUIACTION",
          "id" : "editWizard@TEST"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "GRID_COLRENDER",
          "pluginCode" : "R9GridColumnPluginId"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.TYPE"
        },
        "caption" : "类型",
        "codeName" : "type",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "type",
        "excelCaption" : "类型",
        "name" : "type",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
        },
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "GRID_COLRENDER",
          "pluginCode" : "CLIP_BOARD_FIELDCOLUMN",
          "runtimeObject" : true
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "CENTER",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updatedate",
        "excelCaption" : "更新时间",
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "GRID_COLRENDER",
          "pluginCode" : "CLIP_BOARD_FIELDCOLUMN",
          "runtimeObject" : true
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 250,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "RIGHT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.AMOUNT"
        },
        "caption" : "金额",
        "codeName" : "amount",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "amount",
        "excelCaption" : "金额",
        "name" : "amount",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "unitName" : "元",
        "valueFormat" : "#,##0",
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true,
        "enableUnitName" : true
      }, {
        "align" : "CENTER",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEGRID.TEST.MAIN.UAGRIDCOLUMN.UAGRIDCOLUMN1"
        },
        "caption" : "操作列",
        "codeName" : "uagridcolumn1",
        "columnType" : "UAGRIDCOLUMN",
        "name" : "uagridcolumn1",
        "noPrivDisplayMode" : 1,
        "getPSDEUIActionGroup" : {
          "codeName" : "A6913ed9bd0c3e7d614",
          "name" : "树表节点行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "u5ee2086",
            "getPSSysImage" : {
              "glyph" : "xf00c@FontAwesome",
              "cssClass" : "fa fa-check"
            },
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "u1feafb4",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作_危险样式",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : false
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "u4c6267d",
            "getPSSysImage" : {
              "cssClass" : "fa-solid fa-delete-left"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "TEST__A6913ed9bd0c3e7d614"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : false
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      }, {
        "dataType" : 25,
        "name" : "type",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "updatedate",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "format" : "#,##0",
        "dataType" : 6,
        "name" : "amount",
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "测试实体标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "TESTID",
          "codeName" : "TESTId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "getPSSysPFPlugin" : {
        "pluginType" : "GRID_RENDER",
        "pluginCode" : "testgridplugin"
      },
      "pagingMode" : 1,
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      },
      "sortMode" : "LOCAL",
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : false,
      "enableRowEditOrder" : false,
      "enableRowNew" : false,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "grid",
      "modelid" : "385f739a768b73a1e3a307bfeafb80b7",
      "modeltype" : "PSDEGRID"
    }, {
      "codeName" : "Default",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Default.json",
      "logicName" : "默认搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "SEARCHFORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "n_testname_like",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        }
      }, {
        "id" : "formitem",
        "dataType" : 25
      }, {
        "id" : "formitem1",
        "dataType" : 25
      }, {
        "id" : "formitem2",
        "dataType" : 25
      } ],
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.TEST.DEFAULT.FORMPAGE.FORMPAGE1"
        },
        "caption" : "常规条件",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.TEST.DEFAULT.FORMITEM.N_TESTNAME_LIKE"
          },
          "caption" : "测试实体名称",
          "codeName" : "n_testname_like",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "n_testname_like",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "n_testname_like"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.TEST.DEFAULT.FORMITEM.FORMITEM"
          },
          "caption" : "条件一",
          "codeName" : "formitem",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "formitem"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.TEST.DEFAULT.FORMITEM.FORMITEM1"
          },
          "caption" : "条件二",
          "codeName" : "formitem1",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem1",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "formitem1"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.TEST.DEFAULT.FORMITEM.FORMITEM2"
          },
          "caption" : "条件三",
          "codeName" : "formitem2",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem2",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "formitem2"
          },
          "getPSLayoutPos" : {
            "colLG" : 12,
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonPos" : "RIGHT",
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : true,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "searchform",
      "modelid" : "00eb0969f8c08fcc8321a6d60dcb7ae3",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "codeName" : "Usr0320988649CustomViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "toolbar",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "modelid" : "3AE04220-F99D-4CDF-A9AD-904521DD3BAF",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.TEST"
      },
      "caption" : "测试实体",
      "codeName" : "Usr0320988649CustomViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "refFlag" : false,
  "title" : "自定义视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.USR0320988649CUSTOMVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "B8D9EA43-3534-4C7A-8EEE-E82BCDE775F2",
  "modeltype" : "PSAPPDEVIEW"
}